//========= Copyright © 1996-2005, Valve Corporation, All rights reserved. ============//
//
// Purpose: Misc utility code.
//
// $NoKeywords: $
//=============================================================================//

#ifndef C_UTILHL2WARS_H
#define C_UTILHL2WARS_H
#ifdef _WIN32
#pragma once
#endif

#include "tier0/memdbgon.h"

// -- prototypes follow here
void UTIL_RetrieveGroundPos(  Vector *pVecPickingRay, Vector *position, Vector *normal  );
Vector UTIL_GetCommanderAim( int p_iMouseX, int p_iMouseY );
void UTIL_CreatePickingRay( float x, float y, int w, int h, Vector& org, Vector& forward );

// gameroom utils
const char *UTIL_GetColorName( int color );
const char *UTIL_GetFactionName( int faction );

#endif // C_UTILHL2WARS_H